<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XOSVersion StructType
 * @subpackage Structs
 */
class XOSVersion extends AbstractStructBase
{
    /**
     * The osName
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * @var string
     */
    public $osName;
    /**
     * The osVersion
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * @var string
     */
    public $osVersion;
    /**
     * Constructor method for XOSVersion
     * @uses XOSVersion::setOsName()
     * @uses XOSVersion::setOsVersion()
     * @param string $osName
     * @param string $osVersion
     */
    public function __construct($osName = null, $osVersion = null)
    {
        $this
            ->setOsName($osName)
            ->setOsVersion($osVersion);
    }
    /**
     * Get osName value
     * @return string|null
     */
    public function getOsName()
    {
        return $this->osName;
    }
    /**
     * Set osName value
     * @param string $osName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XOSVersion
     */
    public function setOsName($osName = null)
    {
        $this->osName = $osName;
        return $this;
    }
    /**
     * Get osVersion value
     * @return string|null
     */
    public function getOsVersion()
    {
        return $this->osVersion;
    }
    /**
     * Set osVersion value
     * @param string $osVersion
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XOSVersion
     */
    public function setOsVersion($osVersion = null)
    {
        $this->osVersion = $osVersion;
        return $this;
    }
}
